package com.thalesgroup.fortress;

public class MonServiceProxy implements com.thalesgroup.fortress.MonService {
  private String _endpoint = null;
  private com.thalesgroup.fortress.MonService monService = null;
  
  public MonServiceProxy() {
    _initMonServiceProxy();
  }
  
  public MonServiceProxy(String endpoint) {
    _endpoint = endpoint;
    _initMonServiceProxy();
  }
  
  private void _initMonServiceProxy() {
    try {
      monService = (new com.thalesgroup.fortress.MonServiceServiceLocator()).getMonServicePort();
      if (monService != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)monService)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)monService)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (monService != null)
    {
      ((javax.xml.rpc.Stub)monService)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    }
    
  }
  
  public com.thalesgroup.fortress.MonService getMonService() {
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService;
  }
  
  public java.lang.String delRole(java.lang.String roleName) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.delRole(roleName);
  }
  
  public java.lang.String addUser(com.thalesgroup.fortress.User user) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.addUser(user);
  }
  
  public java.lang.String delUser(java.lang.String userId) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.delUser(userId);
  }
  
  public java.lang.String getSessionUserId(com.thalesgroup.fortress.Session session) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.getSessionUserId(session);
  }
  
  public com.thalesgroup.fortress.UserRole[] getSessionRole(com.thalesgroup.fortress.Session session) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.getSessionRole(session);
  }
  
  public java.lang.String addRole(com.thalesgroup.fortress.Role role) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.addRole(role);
  }
  
  public java.lang.String assignRole(com.thalesgroup.fortress.Role role, java.lang.String userId) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.assignRole(role, userId);
  }
  
  public java.lang.String desAssignRole(com.thalesgroup.fortress.Role role, com.thalesgroup.fortress.User user) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.desAssignRole(role, user);
  }
  
  public java.lang.String[] getRoleUser(java.lang.String userId) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.getRoleUser(userId);
  }
  
  public com.thalesgroup.fortress.Session authenticateUser(java.lang.String userId, java.lang.String password) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.authenticateUser(userId, password);
  }
  
  public com.thalesgroup.fortress.Session authenticateUserRole(java.lang.String userId, java.lang.String password, java.lang.String[] roleList) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.authenticateUserRole(userId, password, roleList);
  }
  
  public com.thalesgroup.fortress.User getSessionUser(com.thalesgroup.fortress.Session session) throws java.rmi.RemoteException{
    if (monService == null)
    {
      _initMonServiceProxy();
    }
    return monService.getSessionUser(session);
  }
  
  
}